package com.xkrs.weather.service;

import com.xkrs.weather.entity.WeatherResponse;

/**
 * @author XinYi Song
 */
public interface WeatherDataService {

    /**
     * 根据城市ID查询天气数据
     * @param CityId
     * @return
     */
    WeatherResponse getDataByCityId(String CityId);

    /**
     * 根据城市名称查询天气数据
     * @param cityName
     * @return
     */
    WeatherResponse getDataByCityName(String cityName);

}
